Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5117)
@@ -2678,7 +2678,7 @@
 
         function iso_verif_traceur_pbid_ns(x,err_msg)
-        use isotopes_mod, ONLY: iso_HDO,bidouille_anti_divergence
-        use isotrac_mod, ONLY: ridicule_trac
-        use isotopes_verif_mod
+        USE isotopes_mod, ONLY: iso_HDO,bidouille_anti_divergence
+        USE isotrac_mod, ONLY: ridicule_trac
+        USE isotopes_verif_mod
         IMPLICIT NONE
         ! vérifier des choses sur les traceurs
@@ -2692,9 +2692,9 @@
        
        ! inputs
-       real x(ntraciso)
+       REAL x(ntraciso)
        character*(*) err_msg ! message d''erreur à afficher
 
        ! output
-       integer iso_verif_traceur_pbid_ns
+       INTEGER iso_verif_traceur_pbid_ns
 
        ! locals
@@ -2702,11 +2702,11 @@
        !integer iso_verif_tracm_choix_nostop  
        !integer iso_verif_tracdD_choix_nostop  
-       integer iiso,izone,ixt
-       real xtractot
+       INTEGER iiso,izone,ixt
+       REAL xtractot
         
         ! verif noNaN
         iso_verif_traceur_pbid_ns=0
 
-        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) THEN
+        IF (iso_verif_traceur_noNaN_nostop(x,err_msg).EQ.1) THEN
 !             stop
             iso_verif_traceur_pbid_ns=1
@@ -2714,6 +2714,6 @@
 
         ! verif masse
-        if (iso_verif_tracm_choix_nostop(x,err_msg, &
-                 errmax*10,errmaxrel*50).eq.1) THEN
+        IF (iso_verif_tracm_choix_nostop(x,err_msg, &
+                 errmax*10,errmaxrel*50).EQ.1) THEN
              ! on est plus laxiste car ça vient en général après une
              ! bidouille pour iso_eau normal
@@ -2722,5 +2722,5 @@
         endif  
 
-        if (bidouille_anti_divergence) THEN
+        IF (bidouille_anti_divergence) THEN
             ! on réajuste pour que les traceurs fasses bien la somme
             ! des traceurs
@@ -2728,7 +2728,7 @@
         endif !if (bidouille_anti_divergence) THEN
        ! verif deltaD
-       if (iso_HDO.gt.0) THEN
-        if (iso_verif_tracdD_choix_nostop(x,err_msg, &
-                 ridicule_trac,deltalimtrac).eq.1) THEN
+       IF (iso_HDO.gt.0) THEN
+        IF (iso_verif_tracdD_choix_nostop(x,err_msg, &
+                 ridicule_trac,deltalimtrac).EQ.1) THEN
 !             stop
               iso_verif_traceur_pbid_ns=1
@@ -2738,16 +2738,16 @@
 
         SUBROUTINE iso_verif_traceur_pbid_vect(x,n,m,err_msg)
-        use isotopes_mod, ONLY: iso_HDO,bidouille_anti_divergence
-        use isotopes_verif_mod
+        USE isotopes_mod, ONLY: iso_HDO,bidouille_anti_divergence
+        USE isotopes_verif_mod
         IMPLICIT NONE
        
        ! inputs
-       integer n,m
-       real x(ntraciso,n,m)
+       INTEGER n,m
+       REAL x(ntraciso,n,m)
        character*(*) err_msg ! message d''erreur à afficher       
 
        ! locals
-       integer iiso,izone,ixt
-       real xtractot
+       INTEGER iiso,izone,ixt
+       REAL xtractot
         
         ! verif noNaN
@@ -2758,5 +2758,5 @@
                  errmaxrel*50)
 
-        if (bidouille_anti_divergence) THEN
+        IF (bidouille_anti_divergence) THEN
             ! on réajuste pour que les traceurs fasses bien la somme
             ! des traceurs
@@ -2764,5 +2764,5 @@
         endif !if (bidouille_anti_divergence) THEN
        ! verif deltaD
-       if (iso_HDO.gt.0) THEN
+       IF (iso_HDO.gt.0) THEN
         CALL iso_verif_tracdd_vect(x,n,m,err_msg)
        endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90	(revision 5117)
@@ -163,8 +163,8 @@
     INTEGER :: i
 #ifdef ISO
-  real, intent(out), dimension(niso,klon) :: Roce 
+  REAL, INTENT(OUT), DIMENSION(niso,klon) :: Roce
   INTEGER :: ixt
-  real, intent(in),dimension(klon) :: rlat
-  real lat_locale
+  REAL, INTENT(IN),DIMENSION(klon) :: rlat
+  REAL lat_locale
 #endif 
 !#ifdef ISOVERIF
@@ -178,6 +178,6 @@
 
 #ifdef ISO
-     if (iso_HTO.gt.0) THEN
-     if (ok_prod_nucl_tritium) then ! si on active la production nucleaire de tritium
+     IF (iso_HTO.gt.0) THEN
+     IF (ok_prod_nucl_tritium) then ! si on active la production nucleaire de tritium
         DO i = 1, knon
           tuoce_out(i)=tuoce(knindex(i))
@@ -188,20 +188,20 @@
 
 #ifdef ISO
-  if (modif_sst.ge.1) THEN
+  IF (modif_sst.ge.1) THEN
   do i = 1, knon 
     lat_locale=rlat(knindex(i))  
     ! test: modification uniforme de la sst 
-    if (modif_sst.eq.1) THEN
+    IF (modif_sst.EQ.1) THEN
        sst_out(i)= sst_out(i)+deltaTtest  
-    elseif (modif_sst.eq.2) then   !if (modif_sst.eq.1) THEN
+    elseif (modif_sst.EQ.2) then   !if (modif_sst.EQ.1) THEN
         ! pattern parabolique en dehors des tropiques (sstlatcrit)
-        if (abs(lat_locale).gt.sstlatcrit) THEN
+        IF (abs(lat_locale).gt.sstlatcrit) THEN
           sst_out(i)= sst_out(i)+deltaTtestpoles &
                  *(lat_locale**2-sstlatcrit**2) &
                  /(90.0**2-sstlatcrit**2)
         endif !if (abs(lat_locale).gt.abs(sstlatcrit)) THEN
-    else if (modif_sst.eq.3) THEN
-        if (abs(lat_locale).gt.abs(sstlatcrit)) THEN
-            if (abs(lat_locale).gt.sstlatcrit+dsstlatcrit) THEN
+    ELSE IF (modif_sst.EQ.3) THEN
+        IF (abs(lat_locale).gt.abs(sstlatcrit)) THEN
+            IF (abs(lat_locale).gt.sstlatcrit+dsstlatcrit) THEN
                 sst_out(i)= sst_out(i)+deltaTtestpoles
             else
@@ -210,5 +210,5 @@
             endif
         endif
-    endif !if (modif_sst.eq.1) THEN
+    endif !if (modif_sst.EQ.1) THEN
     enddo !do i = 1, knon 
     endif !if (modif_sst.ge.1) THEN
@@ -233,5 +233,5 @@
 
         ! lecture pour le tritium
-        if ((iso_HTO.gt.0).and.(ok_prod_nucl_tritium)) THEN
+        IF ((iso_HTO.gt.0).AND.(ok_prod_nucl_tritium)) THEN
              ! lecture de la carte tritium ocean surface
              Roce(iso_HTO,i)=tcorr(iso_HTO)*tuoce_out(i)*1.E-18*2.
@@ -241,6 +241,6 @@
 #ifdef ISOVERIF
         do i=1,knon
-          if (iso_verif_positif_nostop(370.0-sst_out(i), &
-              'limit_read 368').eq.1) THEN
+          IF (iso_verif_positif_nostop(370.0-sst_out(i), &
+              'limit_read 368').EQ.1) THEN
              WRITE(*,*) 'i,knindex,sst_out=',i,knindex,sst_out(i)
              stop
@@ -514,5 +514,5 @@
           
 #ifdef ISO
-             IF ((iso_HTO.gt.0).and.(ok_prod_nucl_tritium)) THEN
+             IF ((iso_HTO.gt.0).AND.(ok_prod_nucl_tritium)) THEN
                ierr = nf90_inq_varid(nid, 'TUOCE', nvarid)
                IF (ierr /= nf90_noerr) CALL abort_gcm(modname,'Le champ <TUOCE> est absent',1)
@@ -523,6 +523,6 @@
 #ifdef ISOVERIF
              do ii=1,klon_glo
-               if (iso_verif_positif_nostop(370.0-sst_glo(ii),  &
-                'limit_read 384').eq.1) THEN
+               IF (iso_verif_positif_nostop(370.0-sst_glo(ii),  &
+                'limit_read 384').EQ.1) THEN
                  WRITE(*,*) 'ii,sst_glo=',ii,sst_glo(ii)
                  WRITE(*,*) 'jour,start,epais=',jour,start,epais
@@ -578,5 +578,5 @@
           END IF
 #ifdef ISO
-          IF ((iso_HTO.gt.0).and.(ok_prod_nucl_tritium)) THEN
+          IF ((iso_HTO.gt.0).AND.(ok_prod_nucl_tritium)) THEN
              CALL Scatter(tuoce_glo,tuoce)
           END IF
